Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1864090 - lua-lgi: FTBFS in Fedora rawhide/f33
Summary: lua-lgi: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lua-lgi
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS 1863816
TreeView+ depends on / blocked
 
Reported: 2020-08-03 17:59 UTC by Fedora Release Engineering
Modified: 2020-11-23 22:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-16 08:41:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-08-03 17:59 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-08-03 17:59 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-08-03 17:59 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 17:59:06 UTC
lua-lgi failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47996428


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix lua-lgi at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
lua-lgi will be orphaned. Before branching of Fedora 34,
lua-lgi will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 17:59:08 UTC
Created attachment 1705733 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 17:59:09 UTC
Created attachment 1705734 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 17:59:10 UTC
Created attachment 1705735 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 14:16:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Elliott Sales de Andrade 2020-09-06 04:50:55 UTC
Since this FTBFS is about lua 5.4, you will probably need at least this:
https://github.com/pavouk/lgi/pull/249

Comment 6 Thomas Moschny 2020-09-06 09:23:18 UTC
I know, but see also https://github.com/pavouk/lgi/issues/247 - there's a probably a bug in Lua 5.4 causing the testsuite to segfault.

Comment 7 Thomas Moschny 2020-11-16 08:41:44 UTC
Upstream bug is not really fixed, but as this is mainly about one test in the testsuite, and to avoid retirement of this package and the dependent rpm for the awesome window manager, rebuilt for Rawhide and F33.


Note You need to log in before you can comment on or make changes to this bug.